function [llr] = bcjr_bruteforce_75_recursive(z,K, Es, sigma_squared);

bits_matrix = dec2bin(0:2^K - 1)-'0';

for inputs = 0:(2^K - 1)
    bits = [bits_matrix(inputs+1,:)];
    
    %encode bits (generate codeword)
    [info_bits parity] = encode_75_recursive_function(bits);
    codeword(2*(1:(K+2)) - 1) = info_bits;
    codeword(2*(1:(K+2))) = parity;
    codeword=-2*codeword+1;
    codeword = sqrt(Es) * codeword;
    
    %compute distance^2 between z and codeword
    distance_squared(inputs+1)=norm(z-codeword)^2;
end;

exp_distance = exp((-1/(2*sigma_squared))*distance_squared);
sum_exp = sum(exp_distance);

for counter=1:K
    %identify info sequences with u_counter = 1
    temp = find(bits_matrix(:,counter));
    temp2 = sum(exp_distance(temp));
    llr(counter) = log((sum_exp - temp2) / temp2);   %probability of codewords with u_k=0 / prob. of codewords with u_k=1
end;